# Retrieves a list of mandates that belong to this customer

Retrieves a list of mandates that belong to this customer.

Endpoint: GET /customers/{id}/mandates
Version: v1
Security: apiKey

## Path parameters:

  - `id` (string, required)
    ID of the customer

## Response 200 fields (application/json):

  - `type` (string, required)
    Enum: "list"

  - `data` (array, required)
    Example: [{"id":"MDQVT0CGB8Z5JK","type":"mandate","state":"pending","customer":"CUWSWVVPTL94VX","pay_method":"direct-debit","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/mandates/MDQVT0CGB8Z5JK","customer":"https://api.paypro.nl/customers/CUWSWVVPTL94VX"}}]

  - `data.id` (string, required)
    Example: "MDQVT0CGB8Z5JK"

  - `data.type` (string, required)
    Enum: "mandate"

  - `data.state` (string, required)
    Example: "pending"

  - `data.customer` (string, required)
    Example: "CUWSWVVPTL94VX"

  - `data.pay_method` (string, required)
    Example: "direct-debit"

  - `data.created_at` (string, required)
    Example: "2023-06-30T12:40:10Z"

  - `data._links` (object, required)
    Example: {"self":"https://api.paypro.nl/mandates/MDQVT0CGB8Z5JK","customer":"https://api.paypro.nl/customers/CUWSWVVPTL94VX"}

  - `data._links.self` (string, required)
    Example: "https://api.paypro.nl/mandates/MDQVT0CGB8Z5JK"

  - `data._links.customer` (string, required)
    Example: "https://api.paypro.nl/customers/CUWSWVVPTL94VX"

  - `count` (integer, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

  - `_links.next` (string)

  - `_links.prev` (string)

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.message` (string, required)
    The error message

  - `error.type` (string, required)
    Type of error
    Enum: "invalid_request"


